Channels

Withdraw a project from a channel

Closes new use and preserves history and started effects. Withdrawing the last project requires lastAttachment: archive.

POST
/api/projects/{projectId}/channels/{channelId}/attachments/{attachedProjectId}/withdraw

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length
attachedProjectId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range1 <= value
lastAttachment?string

Response Body

Response for status 200

application/json
  1. response
result*string
Value in"changed""unchanged"
revision*integer
Example Request
curl -X POST 'https://postdot.example/api/projects/string/channels/string/attachments/string/withdraw' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 1
}'
Example Response
{
  "result": "changed",
  "revision": 0
}

Was this page helpful?